MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028654Open CASCADE[OCCT] OCCT:Documentationpublic2017-04-14 16:182017-09-29 16:25
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028654: Existed tool (gendoc) for generation documentation does not take into account size of images.
Descriptiongendoc stretches images to the width of the page.

It is necessary to update all OOCT md files with images, namely @figure alias with definition of appropriate width of images.
Steps To ReproduceNA
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0067009)
git (administrator)
2017-06-02 11:56

Branch CR28654 has been created by ysn.

SHA-1: f0af85e399bf3cfaaf490d14a8f34b86ad8c5bb4


Detailed log of new commits:

Author: ysn
Date: Fri Jun 2 11:55:34 2017 +0300

    The parameter defining image width has been added to all figures to improve their layout in PDF documents and tweaked depending on the nature of each image. Additionally, some minor changes improving image and text layout have been introduced.
(0067010)
ysn (developer)
2017-06-02 12:02

The only problem with images in PDF that I observe now is connected with images contained in tables.
The first column with image always takes almost the entire page width (thus pushing the second column in the invisible area) - this happens regardless of the image size and thus is somehow connected with the processing of tables.

The easy way to solve the problem is to avoid tables with images and place images one under the other.
However, fixing the processing of tables can be more attractive.
(0067011)
ysn (developer)
2017-06-02 12:05

Fixed with one remark (see the comment above).
(0067131)
git (administrator)
2017-06-06 15:25

Branch CR28654 has been updated by apn.

SHA-1: 90b08be0c6b8ed42591e34aca08f650c19d9baea


Detailed log of new commits:

Author: apn
Date: Tue Jun 6 15:24:53 2017 +0300

    Remove temporary added possibility for setting image width automatically for generation of pdf documentation.

(0067158)
git (administrator)
2017-06-06 18:54

Branch CR28654 has been updated forcibly by inv.

SHA-1: 9c2580c8c50c063e4581559d316ed89bd0b3ee56
(0067333)
git (administrator)
2017-06-13 17:34

Branch CR28654 has been deleted by kgv.

SHA-1: 9c2580c8c50c063e4581559d316ed89bd0b3ee56

- Related Changesets
occt: master d6b4d3d0
Timestamp: 2017-06-02 08:55:34
Author: ysn
Committer: bugmaster
Details ] Diff ]
0028654: Existed tool (gendoc) for generation documentation does not take into account size of images.

The parameter defining image width has been added to all figures to improve their layout in PDF documents and tweaked depending on the nature of each image.
Additionally, some minor changes improving image and text layout have been introduced.

Remove temporary added possibility for setting image width automatically for generation of pdf documentation.
mod - adm/gendoc.tcl Diff ] File ]
mod - adm/occaux.tcl Diff ] File ]
mod - dox/dev_guides/contribution_workflow/contribution_workflow.md Diff ] File ]
mod - dox/dev_guides/documentation/documentation.md Diff ] File ]
mod - dox/dev_guides/git_guide/git_guide.md Diff ] File ]
mod - dox/dev_guides/tests/tests.md Diff ] File ]
mod - dox/tutorial/tutorial.md Diff ] File ]
mod - dox/user_guides/boolean_operations/boolean_operations.md Diff ] File ]
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]
mod - dox/user_guides/foundation_classes/foundation_classes.md Diff ] File ]
mod - dox/user_guides/iges/iges.md Diff ] File ]
mod - dox/user_guides/modeling_algos/modeling_algos.md Diff ] File ]
mod - dox/user_guides/modeling_data/modeling_data.md Diff ] File ]
mod - dox/user_guides/ocaf/ocaf.md Diff ] File ]
mod - dox/user_guides/shape_healing/shape_healing.md Diff ] File ]
mod - dox/user_guides/step/step.md Diff ] File ]
mod - dox/user_guides/tobj/tobj.md Diff ] File ]
mod - dox/user_guides/vis/vis.md Diff ] File ]
mod - dox/user_guides/visualization/visualization.md Diff ] File ]
mod - dox/user_guides/xde/xde.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-04-14 16:18 bugmaster New Issue
2017-04-14 16:18 bugmaster Assigned To => ysn
2017-06-02 11:56 git Note Added: 0067009
2017-06-02 12:02 ysn Note Added: 0067010
2017-06-02 12:05 ysn Note Added: 0067011
2017-06-02 12:05 ysn Assigned To ysn => bugmaster
2017-06-02 12:05 ysn Status new => resolved
2017-06-02 12:05 ysn Steps to Reproduce Updated View Revisions
2017-06-06 15:04 bugmaster Assigned To bugmaster => apn
2017-06-06 15:25 git Note Added: 0067131
2017-06-06 15:25 apn Test case number => Not needed
2017-06-06 15:25 apn Assigned To apn => bugmaster
2017-06-06 15:25 apn Status resolved => reviewed
2017-06-06 18:54 git Note Added: 0067158
2017-06-09 14:06 bugmaster Changeset attached => occt master d6b4d3d0
2017-06-09 14:06 bugmaster Status reviewed => verified
2017-06-09 14:06 bugmaster Resolution open => fixed
2017-06-13 17:34 git Note Added: 0067333
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker